net.corda.core.testing

## Class PublicKeyGenerator

- net.corda.core.testing.PublicKeyGenerator

-     public class PublicKeyGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Constructor Detail

    - #### PublicKeyGenerator

          public PublicKeyGenerator()

  - ### Method Detail

    - #### generate

          public java.security.PublicKey generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                                  com.pholser.junit.quickcheck.generator.GenerationStatus status)